<?php
/**
* Global Color Settings.
*
* @package Event Decorations
*/

$event_decorations_default = event_decorations_get_default_theme_options();

// Layout Section.
$wp_customize->add_section( 'event_decorations_global_color_setting',
	array(
	'title'      => esc_html__( 'Global Color Settings', 'event-decorations' ),
	'priority'   => 1,
	'capability' => 'edit_theme_options',
	'panel'      => 'event_decorations_theme_option_panel',
	)
);

$wp_customize->add_setting( 'event_decorations_global_color',
    array(
    'default'           => '#FF495F',
    'capability'        => 'edit_theme_options',
    'sanitize_callback' => 'sanitize_hex_color',
    )
);
$wp_customize->add_control( 
    new WP_Customize_Color_Control( 
    $wp_customize, 
    'event_decorations_global_color',
    array(
        'label'      => esc_html__( 'Global Color', 'event-decorations' ),
        'section'    => 'event_decorations_global_color_setting',
        'settings'   => 'event_decorations_global_color',
    ) ) 
);